;
; ==========================================================================
;
;	Static data area
;
; ==========================================================================
;
epb_mainwin				;main window
	vid_win_titled	1,0,0,90,8,'EP BURN V1.01'
	db	0
;
epb_menumsg				;main menu
	db	12
	vid_cursor_off
	vid_just_normal
	vid_gotoxy	25,1
	db	1,'B(B)',1,'Burn a data file into an EPROM'
	vid_gotoxy	25,2
	db	1,'B(D)',1,'Bump an EPROM to a file'
	vid_gotoxy	25,3
	db	1,'B(Q)',1,'Buit the program'
	vid_gotoxy	25,4
	db	1,'B(V)',1,'Berify that an EPROM is erased'
	db	0
;
epb_dumpmsg				;dump screen message
	db	12
	vid_just_center
	db	10,'Dump EPROM to a file',10
	vid_just_normal
	vid_gotoxy	20,3
	db	'File name to create : ',0
epb_dumpmsg_1			;dumping file message
	db	12
	vid_just_center
	db	10,10,'Dumping EPROM to file....',10,0
;
epbd_badwrite_msg			;write error message on dump
	db	12
	vid_just_center
	db	10,'Error writing dump file',10,0
;
epb_badmsg				;bad eprom
	db	12
	vid_just_center
	db	'EPROM is not a Z88 EPROM, select option',10
	vid_just_normal
	vid_gotoxy	10,2
	db	1,'B0',1,'B) Do not save'
	vid_gotoxy	10,4
	db	'Save as:'
	vid_gotoxy	25,4
	db	1,'B1',1,'B) 32K'
	vid_gotoxy	45,4
	db	1,'B3',1,'B) 128K'
	vid_gotoxy	65,4
	db	1,'B5',1,'B) 512K'
	vid_gotoxy	25,5
	db	1,'B2',1,'B) 64K'
	vid_gotoxy	45,5
	db	1,'B4',1,'B) 256K'
	vid_gotoxy	65,5
	db	1,'B6',1,'B) 1024K'
	db	0
;
epb_burnmsg				;dump screen message
	db	12
	vid_just_center
	db	10,'Burn file to EPROM',10
	vid_just_normal
	vid_gotoxy	20,3
	db	'File to burn : ',0
epb_burnmsg_1			;dumping file message
	db	12
	vid_just_center
	db	10,10,'Burning EPROM',10,0
epbb_badread_msg			;read error message on burn
	db	12
	vid_just_center
	db	10,'Error reading file',10,0
;
epb_epvwin				;verify window
	db	12
	vid_just_center
	vid_cursor_off
	db	10,10,'Verifying EPROM Erase',10
	db	0
;
epb_epv_badmsg				;verify failed
	db	12,10
	vid_bold_toggle
	db	'EPROM Verify Failed',10,10
	vid_bold_toggle
	db	'The EPROM is not completely erased or is defective',10
	db	0
epb_epv_okmsg				;verify passed
	db	12,10
	vid_bold_toggle
	db	'EPROM Verify Passed',10,10
	vid_bold_toggle
	db	'The EPROM is completely erased',10
	db	0
;
epb_burnmsg_ok			;end of burn message
	db	12
	vid_just_center
	vid_cursor_off
	vid_bold_toggle
	db	'EPROM BURN COMPLETED',10
	vid_bold_toggle
	db	10,'To make the system aware of the EPROM '
	db	'go to the INDEX and with the computer',10
	db	'on, open the front door and remove the '
	db	'EPROM, close the front door, then open',10
	db	'the front door again, replace the EPROM '
	db	'and close the front door.',13
	db	0
epb_burnmsg_bad			;burn verify error
	db	12
	vid_just_center
	vid_cursor_off
	vid_bold_toggle
	db	'Verify error burning EPROM',10
	vid_bold_toggle
	db	10,'There was a verify error during the EPROM '
	db	'burn, the EPROM should be erased and reburned.',10
	db	0
