;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	db	'Thursday November 15th 1990',13,10
	db	'   08:00 Breakfast meeting',13,10
	db	'   09:00',13,10
	db	1,33,'10:00 Weekly dept. meet',13,10
	db	'   11:00',13,10
	db	'   12:00',13,10
	db	'   13:00',13,10
	db	'   14:00',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	' ',13,10
	db	0
:
;** Save screen
	save_screen
;** NEW BOX
	ld	bc,03001h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	vid_bold_toggle
	db	'PA is an appointment book',13,10,10
	vid_bold_toggle
	db	'Full appointment book features are',13,10
	db	'provided in an easy to use screen.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	10,'The arrow keys can be used to scroll',13,10
	db	'or page through the days appointments',13,10
	db	0
:
;** Delay
	delay
;** Restore screen
	restore_screen
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	'Time 00:00  Duration   0 days 00:00',13,10
	db	'Description ',13,10
	db	'Alarm ',13,10
	db	'Category           Notes',13,10
	db	'Type               Action',13,10
	db	0
:
;** Save screen
	save_screen
;** NEW BOX
	ld	bc,00301h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	'An expanded screen on the right shows',13,10
	db	'the details for each entry. You can',13,10
	db	'step through entries, or restrict the',13,10
	db	'display to just appointments.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,0
	vid_bold_toggle
	db	'Time'
	vid_gotoxy	12,0
	db	'Duration'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'TIME and DURATION',13,10
	vid_bold_toggle
	db	'The starting time and duration. The',13,10
	db	'duration can be in days, for use with',13,10
	db	'the project management function.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'The actual duration, (of either a',13,10
	db	'meeting or a project) can be set by',13,10
	db	'going back to the entry and issuing',13,10
	db	'a single command.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,0
	db	'Time'
	vid_gotoxy	12,0
	db	'Duration'
	vid_bold_toggle
	vid_gotoxy	0,1
	db	'Description'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'DESCRIPTION',13,10
	vid_bold_toggle
	db	'The description for each entry is the',13,10
	db	'short text displayed in the left',13,10
	db	'window.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,1
	db	'Description'
	vid_bold_toggle
	vid_gotoxy	0,2
	db	'Alarm'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'ALARM',13,10
	vid_bold_toggle
	db	'Alarms can be set, and automatically',13,10
	db	'generate a Z88 alarm entry, with all',13,10
	db	'of the associated options.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'In the event of a soft reset, all',13,10
	db	'PA alarms can be restored with a ',13,10
	db	'single command.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,2
	db	'Alarm'
	vid_bold_toggle
	vid_gotoxy	0,3
	db	'Category'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'CATEGORY',13,10
	vid_bold_toggle
	db	'Categories can be defined, and PAs',13,10
	db	'extensive report generation features',13,10
	db	'can be used to track data.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'For example: A category EXPENSE',13,10
	db	'could be defined holding travel',13,10
	db	'expenses, and an itemized report',13,10
	db	'for a given date range generated.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,3
	db	'Category'
	vid_bold_toggle
	vid_gotoxy	19,3
	db	'Notes'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'NOTES',13,10
	vid_bold_toggle
	db	'Each entry can have an associated',13,10
	db	'note file, which can be brought into',13,10
	db	'the PA editor with a single command.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	19,3
	db	'Notes'
	vid_bold_toggle
	vid_gotoxy	0,4
	db	'Type'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'TYPE',13,10
	vid_bold_toggle
	db	'The entry type tells PA if it is an',13,10
	db	'appointment, and how to handle if it',13,10
	db	'is not.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,4
	db	'Type'
	vid_bold_toggle
	vid_gotoxy	19,4
	db	'Action'
	vid_bold_toggle
	vid_win_sel_ic	6
	vid_bold_toggle
	db	'ACTION',13,10
	vid_bold_toggle
	db	'Indicates action needs to be taken',13,10
	db	'on this. Unsatisfied actions can be',13,10
	db	'browsed with a simple command.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	'Upon completion of an action the',13,10
	db	'duration can be automatically set.',13,10
	db	'The action can be closed or',13,10
	db	'linked to another action.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 3
	call	init_win_3
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	3
	db	0
:
;** NEW BOX
	ld	bc,01001h
	ld	hl,04006h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	vid_bold_toggle
	db	'PA Editor',13,10
	vid_bold_toggle
	db	' ',13,10
	db	'PA comes complete with a built in full featured',13,10
	db	'editor, accessible at anytime while in PA',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	0
:
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	vid_just_center
	db	10,'The editor has a number of enhancements',13,10
	db	'geared toward making the PA as useful',13,10
	db	'as possible in the applications it will',13,10
	db	'be used in.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	vid_bold_toggle
	db	'Macros:',13,10
	vid_bold_toggle
	vid_just_center
	db	' ',13,10
	db	'Macros to insert the specific character',13,10
	db	'strings, or the current date/time, (in',13,10
	db	'a number of formats) are provided.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	vid_bold_toggle
	db	'Fast-Type:',13,10
	vid_bold_toggle
	vid_just_center
	db	' ',13,10
	db	'The editor supports a fast type',13,10
	db	'abbreviation scheme. You can define',13,10
	db	'a list of abbreviations for words',13,10
	db	'you use, and PAs editor will expand',13,10
	db	'the abbreviations AS YOU TYPE.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	vid_bold_toggle
	db	'Data compression',13,10,10
	vid_bold_toggle
	vid_just_center
	db	'All of the text stored by the editor',13,10
	db	'(and by the PA program in general) is',13,10
	db	'saved in a compressed format, allowing',13,10
	db	'more information to be saved and there',13,10
	db	'when you need it.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	vid_bold_toggle
	db	'Data encryption:',13,10
	vid_bold_toggle
	vid_just_center
	db	' ',13,10
	db	'Password encryption can be used to ',13,10
	db	'protect sensitive data. The data is',13,10
	db	'never stored in an unencrypted form,',13,10
	db	'but is encrypted and decrypted as it',13,10
	db	'is saved and loaded.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 3
	call	init_win_3
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	3
	db	0
:
;** NEW BOX
	ld	bc,01001h
	ld	hl,04006h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	vid_bold_toggle
	db	'PA Rolodex',13,10
	vid_bold_toggle
	db	' ',13,10
	db	'PA comes complete with a built in full featured',13,10
	db	'address book/contact management program.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	db	'Name',13,10
	db	'Phone (   )              Fax (   )         ',13,10
	db	'Company ',13,10
	db	'Department',13,10
	db	'Position ',13,10
	db	'Addr. ',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	vid_reverse_toggle
	db	'Adams, Karl                                 '
	vid_reverse_toggle
	db	'Adams, Susan',13,10
	db	'Atkins, Chester',13,10
	db	'Bailot, Joseph',13,10
	db	'Baker, Scott',13,10
	db	'Bandy, Tom',13,10
	db	'Bates, Richard',13,10
	db	'Beattie, Sara',13,10
	db	0
:
;** Save screen
	save_screen
;** NEW BOX
	ld	bc,03001h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	10,'The left screen displays detailed',13,10
	db	'information about each entry.',13,10
	db	0
:
;** Delay
	delay
;** Restore screen
	restore_screen
;** Save screen
	save_screen
;** Select window 1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	1
	vid_gotoxy	0,0
	db	0
:
;** NEW BOX
	ld	bc,00301h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	10,'While the right displays a list of',13,10
	db	'all names in the file.',13,10
	db	0
:
;** Delay
	delay
;** Restore screen
	restore_screen
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	db	'Name Adams, Karl',13,10
	db	'Phone (803) 992-1423     Fax (803) 992-1711',13,10
	db	'Company Widgets Inc.',13,10
	db	'Department R&D',13,10
	db	'Position Director',13,10
	db	'Addr. P.O. Box 7913',13,10
	db	'      1200 Main St.',13,10
	db	'      Mechanicsburg         MA 07230-7913',13,10
	db	0
:
;** Select window 2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	2
	vid_gotoxy	0,0
	db	0
:
;** Save screen
	save_screen
;** NEW BOX
	ld	bc,03001h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	vid_just_center
	db	10,'The left screen is always updated to',13,10
	db	'match the currently selected name.',13,10
	db	0
:
;** Delay
	delay
;** Restore screen
	restore_screen
;** Select window 1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel	1
	vid_gotoxy	0,0
	db	0
:
;** NEW BOX
	ld	bc,00301h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'The arrow keys can be used to scroll',13,10
	db	'the list, the first few characters of',13,10
	db	'the name, or a string search can be',13,10
	db	'used to locate the desired name.',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	'Lookingbill, Harlan',13,10
	db	'Lopez, Ferdinand',13,10
	db	'Lowery, Terry',13,10
	db	'Lucek, David',13,10
	vid_reverse_toggle
	db	'Mackey, Paula',13,10
	vid_reverse_toggle
	db	'Madhow, Arthur                              '
	db	'Magnuson, Sam',13,10
	db	'Markham, Kim',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	db	'Name Mackey, Paula',13,10
	db	'Phone (312) 334-1122     Fax (321) 334-8777',13,10
	db	'Company Personal Consultants Inc.',13,10
	db	'Department    ',13,10
	db	'Position Vice President',13,10
	db	'Addr. P.O. Box 1104',13,10
	db	'      3716 Elm St. ',13,10
	db	'      Two Rivers            PA 10432-1104',13,10
	db	0
:
;** NEW BOX
	ld	bc,00301h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'Personal information files for each',13,10
	db	'entry can be accessed with a single ',13,10
	db	'command.',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	'Educational background marketing, 12',13,10
	db	'years real world experience.        ',13,10
	db	' ',13,10
	db	'Sensitive about territorial limits.',13,10
	db	' ',13,10
	db	'Likes to ocean race cats.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	vid_bold_toggle
	db	'11/03 13:42 Received proposal               '
	vid_bold_toggle
	db	'10/22 08:11 Query on item 7',13,10
	db	'10/17 15:22 Referred call',13,10
	db	0
:
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'Then with another command display all',13,10
	db	'contacts and communications with the',13,10
	db	'individual.',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'Or display all entries related to the',13,10
	db	'currently highlighted entry (as',13,10
	db	'defined by their categories).',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	vid_bold_toggle
	db	'11/15 14:30 Presentation',13,10
	vid_bold_toggle
	db	'11/03 13:42 Received proposal',13,10
	db	'11/02 07:11 Request for proposal.',13,10
	db	'10/28 11:22 Initial discussion',13,10
	db	0
:
;** Delay
	delay
;** Continuation in previous box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'With a single command switch back',13,10
	db	'to the related rolodex entry, or',13,10
	db	'back to the address book.',13,10
	db	0
:
;** Delay
	delay
;** Output to window number 1
	call	init_win_1
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	1
	db	'Thursday November 15th 1990',13,10
	db	'  12:00',13,10
	db	'  13:00',13,10
	db	'  14:00',13,10
	db	'  14:30 Presentation',13,10
	db	'  15:00',13,10
	db	'  16:00',13,10
	db	'  17:00',13,10
	db	0
:
;** Output to window number 2
	call	init_win_2
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	2
	db	'Time 14:30  Duration   0 days 01:32',13,10
	db	'Description Presentation',13,10
	db	'Alarm None',13,10
	db	'Category xproject  Notes',13,10
	db	'Type Appointment   Action Complete',13,10
	db	0
:
;** NEW BOX
	ld	bc,03001h
	ld	hl,02806h
	call	draw_box
	ld	hl,:+1
	sys_call	gn_sop
	jp	:+2
:
	vid_win_sel_ic	6
	db	'Of course, the PA also supports full',13,10
	db	'week time layouts to let you plan   ',13,10
	db	'your time.',13,10
	db	0
:
;** Delay
	delay
