;
; ==========================================================================
;
;	ROM Header.asm
;
;	This file contains the stuff needed to setup the ROM header
;	for an application ROM.
;
; ==========================================================================
;
	defs	epseg_0,0c000h	;set up eprom segments
	defs	epseg_1,0c000h
	defs	epseg_2,0c000h
;
null_topic_offset	equ	03fc0h	;null topic data (link to parent
null_topic_bank	equ	03fh	;since we just need 3 zeros).
;
	set_epseg_1			;set up top segment
	org	0fff8h		;set org to top block
	db	033h,044h,055h,0ffh	;ROM ID
	db	02h		;size of ROM (32K)
	db	00h		;subtype
	db	'OZ'		;ROM Header
;
	org	0ffc0h		;application front door
	db	0,0,0		;link to parent
	db	0,0,0
;	dw	appl_help_dor	;link to brother
;	db	3fh
	dw	help_dor		;first application dor
	db	3fh
	db	13h		;dor type
	db	8		;dor length
	db	'N'		;name field
	db	5		;length of name
	db	'APPL',0		;name
	db	0ffh		;dor terminator
;
	org	0c000h		;set org for this seg back
;