	title	Debug Test
;
; ==========================================================================
;
;	This file is the debug routine test set
;
; ==========================================================================
;
;
debugt_z0	equ	00h		;zeros and offsets for register
debugt_o0	equ	01h		;value tests
debugt_z1	equ	10h
debugt_o1	equ	08h
;
	include	'::Syslib:sysmac'
;
	basic_header	db
;
	ld	hl,debugt_msg1	;first message
	call	debugt_msgdis
	ld	hl,0abcdh
	push	hl
	pop	ix
	ld	hl,06543h
	push	hl
	pop	iy
	ld	a,debugt_z0		;set up registers
	ld	b,debugt_z0+debugt_o0
	ld	c,debugt_z0+debugt_o0*2
	ld	d,debugt_z0+debugt_o0*3
	ld	e,debugt_z0+debugt_o0*4
	ld	h,debugt_z0+debugt_o0*5
	ld	l,debugt_z0+debugt_o0*6
	ex	af,af'
	exx
	ld	a,debugt_z1		;set up registers
	ld	b,debugt_z1+debugt_o0
	ld	c,debugt_z1+debugt_o0*2
	ld	d,debugt_z1+debugt_o0*3
	ld	e,debugt_z1+debugt_o0*4
	ld	h,debugt_z1+debugt_o0*5
	ld	l,debugt_z1+debugt_o0*6
;
	call	debug		;call debug routine
	call	clean_bas_win	;reset window
	ret
;
debugt_msgdis			;display message window
	push	hl		;save hl
	call	clean_bas_win
	ld	hl,debugt_msg0	;set for message
	sys_call	gn_sop
	pop	hl		;display message
	sys_call	gn_sop
:
	sys_call	os_in		;wait for a key hit
	jr	c,:-1
	ret
;
; ==========================================================================
;
;	Static Data Area
;
; ==========================================================================
;
debugt_msg0				;cursor pos setup
	vid_cursor_off
	vid_just_center
	db	10,10,10,0
debugt_msg1				;first test
	db	'A=10h/a=00h, increment by 1',13,0
;
	include	"Debug.asm"
;
exit_cleanup
	ret
;
	include	"::Syslib:stdlib.asm"
	include	"::Syslib:string.asm"
	include	"::Syslib:file.asm"
;
	end