	opt	nol
;
soh	equ	01h
eot	equ	04h
ack	equ	06h
nak	equ	15h
can	equ	18h
esc	equ	1bh
;
;	System call equates
;
dc_icl	equ	140CH
dc_rbd	equ	1C0CH
dc_xin	equ	1D0CH
rc_esc	equ	01H
rc_tim	equ	02H
rc_unk	equ	03H
rc_bad	equ	04H
rc_na	equ	06H
rc_room	equ	07H
rc_hand	equ	08H
rc_eof	equ	09H
rc_flf	equ	0AH
rc_ovf	equ	0BH
rc_sntx	equ	0CH
rc_wrap	equ	0DH
rc_push	equ	0EH
rc_pre	equ	11H
rc_onf	equ	12H
rc_rp	equ	13H
rc_wp	equ	14H
rc_use	equ	15H
rc_fail	equ	16H
rc_ivf	equ	17H
rc_ftm	equ	18H
rc_exis	equ	19H
rc_dvz	equ	46H
rc_tbg	equ	47H
rc_nvr	equ	48H
rc_lrg	equ	49H
rc_acl	equ	4AH
rc_exr	equ	4BH
rc_bdn	equ	4CH
rc_draw	equ	66H
rc_quit	equ	67H
rc_susp	equ	69H
si_hrd	equ	00H
si_sft	equ	03H
si_int	equ	06H
si_gbt	equ	09H
si_pbt	equ	0CH
si_enq	equ	0FH
si_ftx	equ	12H
si_frx	equ	15H
si_tmo	equ	18H
sr_wpd	equ	03H
sr_rpd	equ	04H
sr_pwt	equ	08h
dr_get	equ	01H
dr_dup	equ	02H
dr_sib	equ	03H
dr_son	equ	04H
dr_fre	equ	05H
dr_cre	equ	06H
dr_del	equ	07H
dr_ins	equ	08H
dr_rd	equ	09H
dr_wr	equ	0AH
dt_nam	equ	4EH
dt_upd	equ	55H
dt_cre	equ	43H
dt_ext	equ	58H
dt_atr	equ	41H
dt_hlp	equ	48H
dt_inf	equ	40H
dc_nam	equ	00C0CH
gn_aab	equ	06809H
gn_cl	equ	06209H
gn_cls	equ	03009H
gn_cme	equ	04209H
gn_d16	equ	07409H
gn_d24	equ	07809H
gn_dei	equ	01609H
gn_del	equ	06409H
gn_die	equ	01409H
gn_err	equ	04A09H
gn_esa	equ	05E09H
gn_esp	equ	04C09H
gn_fab	equ	06A09H
gn_fcm	equ	04E09H
gn_fex	equ	05009H
gn_flc	equ	02409H
gn_flf	equ	02A09H
gn_flo	equ	02209H
gn_flr	equ	02809H
gn_flw	equ	02609H
gn_fpb	equ	02C09H
gn_gdn	equ	01009H
gn_gdt	equ	00609H
gn_gmd	equ	01809H
gn_gmt	equ	01A09H
gn_gtm	equ	00A09H
gn_lab	equ	06C09H
gn_m16	equ	07209H
gn_m24	equ	07609H
gn_msc	equ	02009H
gn_nln	equ	02E09H
gn_opf	equ	06009H
gn_opw	equ	05209H
gn_pdn	equ	01209H
gn_pdt	equ	00809H
gn_pfs	equ	05A09H
gn_pmd	equ	01C09H
gn_pmt	equ	01E09H
gn_prs	equ	05809H
gn_ptm	equ	00C09H
gn_rbe	equ	03E09H
gn_ren	equ	06609H
gn_sdo	equ	00E09H
gn_sip	equ	03809H
gn_skc	equ	03209H
gn_skd	equ	03409H
gn_skt	equ	03609H
gn_soe	equ	03C09H
gn_sop	equ	03A09H
gn_uab	equ	06E09H
gn_wbe	equ	04009H
gn_wcl	equ	05409H
gn_wfn	equ	05609H
gn_wsm	equ	05C09H
gn_xdl	equ	04809H
gn_xin	equ	04609H
gn_xnx	equ	04409H
os_bde	equ	0DA06H
os_dhl	equ	0DC06H
os_blp	equ	0D806H
os_bye	equ	021H
os_dly	equ	0D606H
os_dor	equ	087H
os_erh	equ	075H
os_esc	equ	06FH
os_fc	equ	08AH
os_frm	equ	048H
os_fwm	equ	04BH
os_gb	equ	039H
os_gbt	equ	03FH
os_ht	equ	0F206H
os_in	equ	02AH
os_mal	equ	054H
os_map	equ	0F406H
os_mcl	equ	051H
os_mfr	equ	057H
os_mgb	equ	05AH
os_mop	equ	04EH
os_mpb	equ	05DH
os_mv	equ	045H
os_nq	equ	066H
os_off	equ	0EC06H
os_out	equ	027H
os_pb	equ	03CH
os_pbt	equ	042H
os_prt	equ	024H
os_pur	equ	033H
os_sci	equ	0D406H
os_si	equ	08DH
os_sp	equ	069H
os_sr	equ	06CH
os_tin	equ	02DH
os_ugb	equ	036H
os_ust	equ	078H
os_wrt	equ	0CC06H
os_wtb	equ	0CA06H
os_xin	equ	030H
;
; ----------------------------------------------------------------------
;
;	Macro calls for system routines
;
; ----------------------------------------------------------------------
;
sys_call	macro	;call the appropriate system routine
	rst	20h	;restart instruction
	if	:0<0100h
	db	:0
	else
	dw	:0
	endif
	endm
;
vid_bold_toggle	macro	;Toggle video attribute bold
	db	1,'B'
	endm
vid_cursor_toggle	macro	;Toggle video attribute cursor
	db	1,'C'
	endm
vid_cursor_on	macro	;Turn on video attribute cursor
	db	1,'2+C'
	endm
vid_cursor_off	macro	;Turn off video attribute cursor
	db	1,'2-C'
	endm
vid_flashing_toggle	macro	;Toggle video attribute flashing
	db	1,'F'
	endm
vid_grey_toggle	macro	;Toggle video attribute grey
	db	1,'G'
	endm
vid_capslock_toggle	macro	;Toggle video attribute capslock
	db	1,'L'
	endm
vid_reverse_toggle	macro	;Toggle video attribute reverse
	db	1,'R'
	endm
vid_vscroll_toggle	macro	;Toggle video attribute vscroll
	db	1,'S'
	endm
vid_tiny_toggle	macro	;Toggle video attribute tiny
	db	1,'T'
	endm
vid_underline_toggle	macro	;Toggle video attribute underline
	db	1,'U'
	endm
vid_hscroll_toggle	macro	;Toggle video attribute hscroll
	db	1,'W'
	endm
;
vid_just_normal	macro	;Turn on normal justification
	db	1,'2JN'
	endm
vid_just_center	macro	;Turn on centered text justification
	db	1,'2JC'
	endm
vid_just_left	macro	;Turn on left text justification
	db	1,'2JL'
	endm
vid_just_right	macro	;Turn on right text justification
	db	1,'2JR'
	endm
vid_margin_left	macro	;Set left margin to passed value
	db	1,'2L',32+:0
	endm
vid_margin_right	macro	;Set right margin to passed value
	db	1,'2R',32+:0
	endm
;
;	Cursor positioning control
;
vid_gotoxy	macro		;Go to x,y location
	db	1,'3@',32+:0,32+:1
	endm
;
vid_win_sel_ic	macro	;Select init and clear
	db	1,'2C',48+:0
	endm
vid_win_sel_i	macro	;Select and init
	db	1,'2I',48+:0
	endm
vid_win_sel	macro	;Select
	db	1,'2H',48+:0
	endm
;
;	vid_window	iwindow,x0,y0,dx,dy,style
;
;	Create window iwindow with indicated size
;
vid_win	macro
	db	1,'7#'
	db	48+:0,32+:1,32+:2,32+:3,32+:4,128+:5
	endm
;
;	vid_win_titled	iwindow,x0,y0,dx,dy,title
;
;	Create window iwindow with indicated size and title
;
vid_win_titled	macro
	db	1,'7#'	;create window
	db	48+:0,32+:1+1,32+:2,32+:3,32+:4,131
	db	1,'2I',48+:0	;select window
	db	1,'4+TUR'	;set font for title
	db	1,'2JC'	;center title
	db	1,'3@',32,32	;goto 0,0
	dcs	\:5\	;title text
	db	1,'3@',32,32	;goto 0,0
	db	1,'2A',32+:3	;invert title block
	db	1,'7#'	;create subwindow
	db	48+:0,32+:1+1,32+:2+1,32+:3,32+:4-1,129
	db	1,'2I',48+:0	;select window
	db	1,'3+CS'	;turn on scroll and cursor
	endm
;
;
;	vid_win_title_1	iwindow,x0,y0,dx,dy
;
;	Create window iwindow with indicated size and title,
;	part 1 of two, output this block, then output part 2.
;
vid_win_1	macro
	db	1,'7#'	;create window
	db	48+:0,32+:1+1,32+:2,32+:3,32+:4,131
	db	1,'2I',48+:0	;select window
	db	1,'4+TUR'	;set font for title
	db	1,'2JC'	;center title
	db	1,'3@',32,32	;goto 0,0
	endm
vid_win_2	macro
	db	1,'3@',32,32	;goto 0,0
	db	1,'2A',32+:3	;invert title block
	db	1,'7#'	;create subwindow
	db	48+:0,32+:1+1,32+:2+1,32+:3,32+:4-1,129
	db	1,'2I',48+:0	;select window
	db	1,'3+CS'	;turn on scroll and cursor
	endm
;
vid_win_grey	macro	;Grey the current window
	db	1,'2G+'
	endm
vid_win_nogrey	macro	;Ungrey the current window
	db	1,'2G-'
	endm
;
push3	macro		;push bc,de,hl
	push	bc
	push	de
	push	hl
	endm
pop3	macro		;pop bc,de,hl
	pop	hl
	pop	de
	pop	bc
	endm
pushall	macro		;push af,bc,de,hl
	push	af
	push	bc
	push	de
	push	hl
	endm
popall	macro		;pop af,bc,de,hl
	pop	hl
	pop	de
	pop	bc
	pop	af
	endm
;
;
pause	macro
:laba
	ld	a,sr_pwt		;call system pause
	sys_call	os_sr
	jr	c,:laba
	endm
;
clear_screen	macro
	ld	a,12	;formfeed
	rst	020h	;system call
	db	027H	;os_out
	endm
;
beep	macro
	ld	a,7	;formfeed
	rst	020h	;system call
	db	027H	;os_out
	endm
;
z88_name	macro	
	ld	hl,:laba	;set up for call
	sys_call	dc_nam	;set name
	jr	:labb
:laba
	dcs	\:0\
	db	0
:labb
	endm
;