	title	Filename parse test
;
; ==========================================================================
;
;	This is the test program for the file name parsing routine
;
; ==========================================================================
;
;
	include	'::Syslib:sysmac'
;
	basic_header	test
	ld	hl,msg1		;get file name
	sys_call	gn_sop
	ld	de,buf1
	ld	a,0
	ld	b,40h
	sys_call	gn_sip
;
	ld	hl,buf1		;set for parse call
	ld	de,buf
	call	compress_file_name
	sys_call	gn_nln
	ld	hl,buf
	sys_call	gn_sop
	sys_call	gn_nln
	ret
;
compress_file_name			;compress file name
	ld	b,0ffh		;get file name
	xor	a		;set for read
	sys_call	gn_esa
	ret	c		;return if an error
	dec	de		;move back one
	ld	a,'.'		;add period
	ld	(de),a
	inc	de
	ld	a,01h		;read extension
	sys_call	gn_esa
	ret			;return
;
exit_cleanup
	ret
;
; ==========================================================================
;
;	Static Data Area
;
; ==========================================================================
;
msg1	db	13,10,'File name string : ',0
;
; ==========================================================================
;
;	Dynamic Data Area
;
; ==========================================================================
;
buf1	bsz	40h
buf	bsz	40h
;
; ==========================================================================
;
;	Library source routines
;
; ==========================================================================
;
;	include	"::Syslib:stdlib.asm"
;	include	"::Syslib:string.asm"
;	include	"::Syslib:file.asm"
;
	end