	title	Filename parse test
;
; ==========================================================================
;
;	This is the test program for the file name parsing routine
;
; ==========================================================================
;
;
	include	'::Syslib:sysmac'
;
	basic_header	test
	ld	hl,msg1		;get file name
	sys_call	gn_sop
	ld	de,buf1
	ld	a,0
	ld	b,40h
	sys_call	gn_sip
;
	ld	b,0
	ld	hl,buf1
	sys_call	gn_prs		;system parse routine
	jp	c,lerror
	inc	b
	ld	c,b		;save copy in c
	dec	b		;and adjust
lab1
	push	bc		;save seg #
	ld	a,0		;set for read
	ld	hl,buf1		;file name
	ld	de,buf
	sys_call	gn_esa		;read segment
	ld	hl,buf		;print it
	sys_call	gn_sop
	sys_call	gn_nln
	pop	bc		;get count
	dec	b
	dec	c
	jr	nz,lab1
	ret
;
lerror
	push	af
	ld	hl,msg_err
	sys_call	gn_sop
	pop	af
	add	a,30h		;make a number
	sys_call	os_out
	ret
;
exit_cleanup
	ret
;
; ==========================================================================
;
;	Static Data Area
;
; ==========================================================================
;
msg1	db	13,10,'File name string : ',0
msg_err	db	13,10,'Error in call to gn_prs, number ',0
;
; ==========================================================================
;
;	Dynamic Data Area
;
; ==========================================================================
;
buf1	bsz	40h
buf	bsz	40h
;
; ==========================================================================
;
;	Library source routines
;
; ==========================================================================
;
;	include	"::Syslib:stdlib.asm"
;	include	"::Syslib:string.asm"
;	include	"::Syslib:file.asm"
;
	end