	title	Wildcard Test
;
; ==========================================================================
;
;	This is the test program for the wildcard match test
;
; ==========================================================================
;
;
	include	'::Syslib:sysmac'
;
	basic_header	wt
;
laba
	ld	hl,msg1		;get file name
	sys_call	gn_sop
	ld	de,buf1
	ld	a,0
	ld	b,40h
	sys_call	gn_sip
	jr	c,laba
labb
	ld	hl,msg2		;get wildcard
	sys_call	gn_sop
	ld	de,buf2
	ld	a,0
	ld	b,40h
	sys_call	gn_sip
	jr	c,labb
	sys_call	gn_nln
	ld	de,buf1		;set for wildcard cal
	ld	hl,buf2
	ld	bc,buf
	call	wildcard_match	;call routine
	jp	c,laba
	push	af		;save flags
	sys_call	gn_nln
	pop	af		;get flags back
	jr	z,lab1
	ld	hl,msg3
	sys_call	gn_sop
	ret
lab1
	ld	hl,msg4
	sys_call	gn_sop
	ret
;
exit_cleanup
	ret
;
; ==========================================================================
;
;	Static Data Area
;
; ==========================================================================
;
msg1	db	13,10,'File name : ',0
msg2	db	13,10,'Wildcard : ',0
msg3	db	'No match',13,10,0
msg4	db	'Match',13,10,0
;
; ==========================================================================
;
;	Dynamic Data Area
;
; ==========================================================================
;
buf	bsz	40h
buf1	bsz	40h
buf2	bsz	40h
;
; ==========================================================================
;
;	Library source routines
;
; ==========================================================================
;
	include	"::Syslib:stdlib.asm"
	include	"::Syslib:string.asm"
;	include	"::Syslib:file.asm"
;	include	"::Syslib:debug.asm"
;
	end