;
; ==========================================================================
;
;	ZDC Compiler library routines
;
; ==========================================================================
;
;	I/O routines
;
;	at_say - at (DE),(DE+1) print the string at (HL)
;	at_get - at (DE),(DE+1) get the string at (HL), initial buffer
;		contents are set by contents of (HL)
;
; ==========================================================================
;
;	Database manipulation routines
;
;	go - go to record (DE) of database with descriptor at (HL)
;
; ==========================================================================
;
;	The following descriptor tables are used by the compiler, in all
;	cases if a two byte value is stored it is stored LSB first.
;
;	Database file:
;
;		0-1	File handle
;		2-3	Start of data
;		4-5	Length of a record
;
;	Index:
;
;		0-1	File handle
;		2-3	Address to start of index
;		4	Length of each index entry
;		5-6	Number of entries in the index
;
; ==========================================================================
;
;	Database file format:
;
; ==========================================================================
;
;	Index format (memory):
;
;		field		n bytes
;		record number	2 bytes
;
;	Index format (file):
;
; ==========================================================================
;
