;
; ==========================================================================
;
;	Dynamic storage area
;
; ==========================================================================
;
	IFDEF	BASIC
zfu_dstart	equ	$
	ENDIF
;
	IFDEF	ROM
zfu_dstart	equ	02100h
	ENDIF
;
zfu_stack	equ	zfu_dstart
fcsum	equ	zfu_stack+2
charsave	equ	fcsum+2
zfu_afile_index	equ	charsave+1	;number of zfu files
cmpflg	equ	zfu_afile_index+1	;compressed mode if 0ffh
zfu_newfile_pause	equ	cmpflg+1	;pause when new .zfu if 0ffh
zfu_out_cnt	equ	zfu_newfile_pause+1	;db	0
zfu_out_add	equ	zfu_out_cnt+1	;dw	0
zfu_out_msk	equ	zfu_out_add+2	;db	0
zfu_out_buf	equ	zfu_out_msk+1	;db	"########"
zfu_out_byte	equ	zfu_out_buf+8	;bsz	4
zfu_busy_cnt	equ	zfu_out_byte+4	;db	0
sbufl	equ	zfu_busy_cnt+1	;db	0
sbuf	equ	sbufl+1	;bsz	40
lbptr	equ	sbuf+40	;dw	0
lbsptr	equ	lbptr+2	;dw	0
addtemp	equ	lbsptr+2	;dw	0
zfu_savepath_flag	equ	addtemp+2	;db	0
flnlen1	equ	zfu_savepath_flag+1	;db	0
flnlen	equ	flnlen1+1	;db	0
scaflg	equ	flnlen+1	;db	0
tptr	equ	scaflg+1	;db	"****"
;
;	File name saved in archive file
;
zfu_filename	equ	tptr+4	;file name in archive file
;
;	Start of data block holding archive information which is read from
;	and written to the file as a single block.
;
zfu_arcfile_attr	equ	zfu_filename+80h	;db	0
zfu_file_credate	equ	zfu_arcfile_attr+1	;db	"******"
zfu_file_moddate	equ	zfu_file_credate+6	;db	"******"
zfu_fileattr	equ	zfu_file_moddate+6	;db	"**"
zfu_checksum	equ	zfu_fileattr+2	;dw	0
zfu_file_ext	equ	zfu_checksum+2	;db	"****"
zfu_cmpfile_ext	equ	zfu_file_ext+4	;db	"****"
;
zfu_filehandle	equ	zfu_cmpfile_ext+4	;dw	0
zfu_afilename	equ	zfu_filehandle+2	;current zfu file
zfu_afilename_orig	equ	zfu_afilename+80h	;starting zfu file
zfu_arcfile_handle	equ	zfu_afilename_orig+80h	;dw	0
zfu_backup_full_date	equ	zfu_arcfile_handle+2	;bsz	6
zfu_backup_part_date	equ	zfu_backup_full_date+6	;bsz	6
zfu_backup_file_handle	equ	zfu_backup_part_date+6	;dw	0
zfu_arcfile_ptr	equ	zfu_backup_file_handle+2	;db	"****"
zfu_arcfile_ptr_save	equ	zfu_arcfile_ptr+4	;db	"****"
zfu_arcfile_limit	equ	zfu_arcfile_ptr_save+4	;bsz	4
zfu_wildcard_str	equ	zfu_arcfile_limit+4	;bsz	80
zfu_wildcard_name	equ	zfu_wildcard_str+80h	;bsz	81
zfu_wildcard_handle	equ	zfu_wildcard_name+80h	;dw	0
zfu_credate_buf	equ	zfu_wildcard_handle+2	;bsz	6
zfu_moddate_buf	equ	zfu_credate_buf+6	;bsz	6
zfu_buffer		equ	zfu_moddate_buf+6	;bsz	2096
zfu_end_of_data	equ	zfu_buffer+0830h
;
