;
; ==============================================================
;
;	Dynamic storage area
;
; ==============================================================
;
	IFDEF	BASIC
zmm_dstart	equ	$
	ENDIF
;
	IFDEF	ROM
zmm_dstart	equ	02100h
	ENDIF
;
zmm_stack	equ	zmm_dstart			;saved stack pointer
zmm_block	equ	zmm_stack+02h		;current block
zmm_bank	equ	zmm_block+01h		;current bank
zmm_num_bank	equ	zmm_bank+01h	;number of banks
zmm_epberr		equ	zmm_num_bank+01h	;burn error flag
zmm_eprom_mask	equ	zmm_epberr+01h
zmm_file_handle	equ	zmm_eprom_mask+01h	;input file handle
zmm_file_name	equ	zmm_file_handle+02h	;file name buffer
zmm_buf		equ	zmm_file_name+80h	;scratch space
zmm_endofdata	equ	zmm_buf+zmm_block_size	;end of data