;
;	vid_win_titled	iwindow,x0,y0,dx,dy,title
;
;	Create window iwindow with indicated size and title
;
vid_win_titled1	macro
	db	1,'7#'		;create window
	db	48+:0,32+:1+1,32+:2,32+:3,32+:4,131
	db	1,'2I',48+:0	;select window
	db	1,'3+TR'		;set font for title
	db	1,'2JC'		;center title
	db	1,'3@',32,32	;goto 0,0
	dcs	\:5\	;title text
	db	1,'3@',32,32	;goto 0,0
	db	1,'2A',32+:3	;invert title block
	db	1,'7#'		;create subwindow
	db	48+:0,32+:1+1,32+:2+1,32+:3,32+:4-1,129
	db	1,'2I',48+:0	;select window
	db	1,'3+CS'		;turn on scroll and cursor
	endm
;
vid_win_new	macro
	db	1,'7#'
	db	48+:0,32+:1,32+:2,32+:3,32+:4,128+:5
	db	1,'2C',48+:0
	db	1,'2+S'
	endm
;
aprint	macro			;output character
	ld	a,:0
	rst	20h
	db	027h
	endm
;
line_char_mac	macro		;output a line draw char
	ld	a,1
	rst	20h
	db	027h
	ld	a,50
	rst	20h
	db	027h
	ld	a,42
	rst	20h
	db	027h
	ld	a,:0
	rst	20h
	db	027h
	endm
;
save_screen	macro
	ld	a,sr_sus
	sys_call	os_sr
	endm
restore_screen	macro
	ld	a,sr_rus
	sys_call	os_sr
	endm
;
block_1	macro
	db	1,'2?A'
	endm
block_2	macro
	db	1,'2?A',1,'2?A'
	endm
block_3	macro
	db	1,'2?A',1,'2?A',1,'2?A'
	endm
block_4	macro
	db	1,'2?A',1,'2?A',1,'2?A',1,'2?A'
	endm
;
sel_win1	macro
	ld	hl,dwsel1
	rst	20h
	dw	03A09H
	endm
sel_win2	macro
	ld	hl,dwsel2
	rst	20h
	dw	03A09H
	endm
sel_win3	macro
	ld	hl,dwsel3
	rst	20h
	dw	03A09H
	endm
sel_win4	macro
	ld	hl,dwsel4
	rst	20h
	dw	03A09H
	endm
sel_win5	macro
	ld	hl,dwsel5
	rst	20h
	dw	03A09H
	endm
;
delay	macro
	ld	bc,0200h
	rst	20h		;timed out system read
	db	02dh
	endm
;
delayp	macro
:laba
	ld	a,sr_pwt		;call system pause
	sys_call	os_sr
	jr	c,:laba
	endm
