;
; ==========================================================================
;
;	Appl Help ROM.asm
;
;	This file contains the ROM front DOR and related table information
;	for the additional help for the internal applications.
;
; ==========================================================================
;
	set_epseg_1			;set to top segment
appl_help_dor
	db	0,0,0		;link to parent
	db	0,0,0		;link to brother
	dw	appl_basichelp_dor	;link to first help dor
	db	3fh
	db	13h		;DOR type
	db	8		;length
	db	'N'
	db	5		;length of name and term.
	db	'HELP',0
	db	0ffh
;
appl_basichelp_dor
	db	0,0,0		;link to parent
	db	0,0,0		;link to brother
	db	0,0,0		;link to son
	db	083h		;dor type
	db	:+6-:+1		;dor length
:
	db	'H'		;key to help section
	db	:+2-:+1		;length of help section
:
	dw	appl_basic_topic	;pointer to topics
	db	03fh
	dw	appl_basic_cmds	;pointer to commands
	db	03fh
	dw	appl_basic_help	;pointer to appl. help
	db	03fh
	dw	appl_basic_tokens	;pointer to token base
	db	03fh
:
	db	'N'		;key to name section
	db	:+2-:+1		;length of name section
:
	db	'BASIC',0
:
	db	0ffh		;dor terminator
:
