	title	ROM I
;
; ==========================================================================
;
;	This file is the master file for the ROM I routines
;
;	The following symbols are used to control if assembly is done
;	for BASIC or for a EPROM burn:
;
; ==========================================================================
;
link_display_hex_line	equ	0ffh
link_float	equ	0ffh
link_get_file_name	equ	0ffh
;
EPROMSIZE	equ	02h		;size of EPROM in banks
ROM	equ	0ffh		;define ROM flag
;
COMMANDMD	equ	11h
COMMANDZI	equ	11h
COMMANDQUIT	equ	21h
;
	include	'::Syslib:sysmac'
;
;	opt	nol
	include	'ROM Header.asm'
	include	'Help ROM.asm'
	include	'::ZMacro:ZMacro ROM.asm'
	include	'Graphics ROM.asm'
	include	'Utilities ROM.asm'
	include	'::ZMacro:ZMacro.asm'
	include	'Z-Image.asm'
	include	'Utilities.asm'
;
	include	'::Syslib:stdlib.asm'
	opt	lis
;
	end