	opt	nol
;
; ==========================================================================
;
;	Equates
;
; ==========================================================================
;
soh	equ	01h
eot	equ	04h
ack	equ	06h
nak	equ	15h
can	equ	18h
esc	equ	1bh
;
cntrl_a	equ	01h
cntrl_b	equ	02h
cntrl_c	equ	03h
cntrl_d	equ	04h
cntrl_e	equ	05h
cntrl_f	equ	06h
cntrl_g	equ	07h
cntrl_h	equ	08h
cntrl_i	equ	09h
cntrl_j	equ	0ah
cntrl_k	equ	0bh
cntrl_l	equ	0ch
cntrl_m	equ	0dh
cntrl_n	equ	0eh
cntrl_o	equ	0fh
cntrl_p	equ	10h
cntrl_q	equ	11h
cntrl_r	equ	12h
cntrl_s	equ	13h
cntrl_t	equ	14h
cntrl_u	equ	15h
cntrl_v	equ	16h
cntrl_w	equ	17h
cntrl_x	equ	18h
cntrl_y	equ	19h
cntrl_z	equ	1ah
;
;	System call equates
;
dc_icl	equ	140CH
dc_rbd	equ	1C0CH
dc_xin	equ	1D0CH
rc_esc	equ	01H
rc_tim	equ	02H
rc_unk	equ	03H
rc_bad	equ	04H
rc_na	equ	06H
rc_room	equ	07H
rc_hand	equ	08H
rc_eof	equ	09H
rc_flf	equ	0AH
rc_ovf	equ	0BH
rc_sntx	equ	0CH
rc_wrap	equ	0DH
rc_push	equ	0EH
rc_pre	equ	11H
rc_onf	equ	12H
rc_rp	equ	13H
rc_wp	equ	14H
rc_use	equ	15H
rc_fail	equ	16H
rc_ivf	equ	17H
rc_ftm	equ	18H
rc_exis	equ	19H
rc_dvz	equ	46H
rc_tbg	equ	47H
rc_nvr	equ	48H
rc_lrg	equ	49H
rc_acl	equ	4AH
rc_exr	equ	4BH
rc_bdn	equ	4CH
rc_draw	equ	66H
rc_quit	equ	67H
rc_susp	equ	69H
si_hrd	equ	00H
si_sft	equ	03H
si_int	equ	06H
si_gbt	equ	09H
si_pbt	equ	0CH
si_enq	equ	0FH
si_ftx	equ	12H
si_frx	equ	15H
si_tmo	equ	18H
sr_wpd	equ	03H
sr_rpd	equ	04H
sr_pwt	equ	08h
dr_get	equ	01H
dr_dup	equ	02H
dr_sib	equ	03H
dr_son	equ	04H
dr_fre	equ	05H
dr_cre	equ	06H
dr_del	equ	07H
dr_ins	equ	08H
dr_rd	equ	09H
dr_wr	equ	0AH
dt_nam	equ	4EH
dt_upd	equ	55H
dt_cre	equ	43H
dt_ext	equ	58H
dt_atr	equ	41H
dt_hlp	equ	48H
dt_inf	equ	40H
;
nq_wbox	equ	8300h	;return window info
nq_wcur	equ	8303h	;return cursor info
nq_rds	equ	8306h	;read text from screen
nq_ain	equ	8600h	;application enquiry
nq_khn	equ	8603h	;read keyboard handle
nq_shn	equ	8606h	;read screen handle
nq_phn	equ	8609h	;read printer indirected handle
nq_nhn	equ	860ch	;read nul handle
nq_wai	equ	860fh	;who am I
nq_com	equ	8612h	;read com handle
nq_ihn	equ	8615h	;read IN handle
nq_ohn	equ	8618h	;read OUT handle
nq_rhn	equ	861bh	;read direct printer handle
nq_mfs	equ	8900h	;read free space info
nq_slt	equ	8903h	;slot type enquiry
;
nq_dev	equ	8c00h	;fetch current device
nq_dir	equ	8c03h	;fetch current dir
nq_fnm	equ	8c06h	;fetch current name match string
nq_dmh	equ	8c09h	;fetch Director special mem hand.
nq_in	equ	8c0ch	;read input handle
nq_out	equ	8c0fh	;read output handle
nq_prt	equ	8c12h	;read printer stream handle
nq_tin	equ	8c15h	;read input-T handle
nq_tot	equ	8c18h	;read output-T handle
nq_tpr	equ	8c1bh	;read printer-T stream handle
nq_chn	equ	8c1eh	;read comms handle
;
pa_gfi	equ	8000h	;go for it, install changes
pa_mct	equ	8001h	;time out (minutes)
pa_rep	equ	8002h	;repeat rate
pa_kcl	equ	8003h	;keyclick
pa_snd	equ	8004h	;sound
pa_bad	equ	8005h	;bad process size
pa_iov	equ	8010h	;insert/overtype (I/O)
pa_dat	equ	8011h	;date format (A/E)
pa_map	equ	8012h	;map (Y/N)
pa_msz	equ	8013h	;map size in pixels
pa_dir	equ	8014h	;default directory string
pa_dev	equ	8015h	;default device string
;
pa_txb	equ	8016h	;transmit baud
pa_rxb	equ	8017h	;receive baud
pa_xon	equ	8018h	;xon/xoff
pa_par	equ	8019h	;parity
;
sp_dev	equ	8c00h	;set current device
sp_dir	equ	8c03h	;set current dir
sp_fnm	equ	8c06h	;set current name match
;
mp_wr	equ	01h	;write line to map
mp_def	equ	02h	;define a map
mp_gra	equ	03h	;define a map using PANEL width
mp_del	equ	04h	;delete a map
;
sr_sus	equ	01h	;save user screen
sr_rus	equ	02h	;restore user screen
;
; ----------------------------------------------------------------------
;
;	equates for system calls
;
; ----------------------------------------------------------------------
;
dc_nam	equ	00C0CH
gn_aab	equ	06809H
gn_cl	equ	06209H
gn_cls	equ	03009H
gn_cme	equ	04209H
gn_d16	equ	07409H
gn_d24	equ	07809H
gn_dei	equ	01609H
gn_del	equ	06409H
gn_die	equ	01409H
gn_err	equ	04A09H
gn_esa	equ	05E09H
gn_esp	equ	04C09H
gn_fab	equ	06A09H
gn_fcm	equ	04E09H
gn_fex	equ	05009H
gn_flc	equ	02409H
gn_flf	equ	02A09H
gn_flo	equ	02209H
gn_flr	equ	02809H
gn_flw	equ	02609H
gn_fpb	equ	02C09H
gn_gdn	equ	01009H
gn_gdt	equ	00609H
gn_gmd	equ	01809H
gn_gmt	equ	01A09H
gn_gtm	equ	00A09H
gn_lab	equ	06C09H
gn_m16	equ	07209H
gn_m24	equ	07609H
gn_msc	equ	02009H
gn_nln	equ	02E09H
gn_opf	equ	06009H
gn_opw	equ	05209H
gn_pdn	equ	01209H
gn_pdt	equ	00809H
gn_pfs	equ	05A09H
gn_pmd	equ	01C09H
gn_pmt	equ	01E09H
gn_prs	equ	05809H
gn_ptm	equ	00C09H
gn_rbe	equ	03E09H
gn_ren	equ	06609H
gn_sdo	equ	00E09H
gn_sip	equ	03809H
gn_skc	equ	03209H
gn_skd	equ	03409H
gn_skt	equ	03609H
gn_soe	equ	03C09H
gn_sop	equ	03A09H
gn_uab	equ	06E09H
gn_wbe	equ	04009H
gn_wcl	equ	05409H
gn_wfn	equ	05609H
gn_wsm	equ	05C09H
gn_xdl	equ	04809H
gn_xin	equ	04609H
gn_xnx	equ	04409H
os_bde	equ	0DA06H
os_dhl	equ	0DC06H
os_blp	equ	0D806H
os_bye	equ	021H
os_dly	equ	0D606H
os_dor	equ	087H
os_erh	equ	075H
os_esc	equ	06FH
os_fc	equ	08AH
os_frm	equ	048H
os_fwm	equ	04BH
os_gb	equ	039H
os_gbt	equ	03FH
os_ht	equ	0F206H
os_in	equ	02AH
os_mal	equ	054H
os_map	equ	0F406H
os_mcl	equ	051H
os_mfr	equ	057H
os_mgb	equ	05AH
os_mop	equ	04EH
os_mpb	equ	05DH
os_mv	equ	045H
os_nq	equ	066H
os_off	equ	0EC06H
os_out	equ	027H
os_pb	equ	03CH
os_pbt	equ	042H
os_prt	equ	024H
os_pur	equ	033H
os_sci	equ	0D406H
os_si	equ	08DH
os_sp	equ	069H
os_sr	equ	06CH
os_tin	equ	02DH
os_ugb	equ	036H
os_ust	equ	078H
os_wrt	equ	0CC06H
os_wtb	equ	0CA06H
os_xin	equ	030H
;
; ==========================================================================
;
;	Floating point package calls
;
; ==========================================================================
;
fp_and	equ	33
fp_div	equ	36
fp_eor	equ	39
fp_mod	equ	42
fp_or	equ	45
fp_le	equ	48
fp_ne	equ	51
fp_ge	equ	54
fp_lt	equ	57
fp_eq	equ	60
fp_mul	equ	63
fp_add	equ	66
fp_gt	equ	69
fp_sub	equ	72
fp_pow	equ	75
fp_fdiv	equ	78
fp_abs	equ	81
fp_acs	equ	84
fp_asn	equ	87
fp_atn	equ	90
fp_cos	equ	93
fp_deg	equ	96
fp_exp	equ	99
fp_int	equ	102
fp_ln	equ	105
fp_log	equ	108
fp_not	equ	111
fp_rad	equ	114
fp_sgn	equ	117
fp_sin	equ	120
fp_sqr	equ	123
fp_tan	equ	126
fp_zero	equ	129
fp_fone	equ	132
fp_true	equ	135
fp_pi	equ	138
fp_val	equ	141
fp_str	equ	144
fp_fix	equ	147
fp_float	equ	150
fp_test	equ	153
fp_comp	equ	156
fp_neg	equ	159
fp_call	equ	162	;call with A=op_code
;
; ==========================================================================
;
;	System routine call macros
;
; ==========================================================================
;
sys_call	macro	;call the appropriate system routine
	rst	20h	;restart instruction
	if	:0<0100h
	db	:0
	else
	dw	:0
	endif
	endm
;
sys_calle	macro		;call the appropriate system routine
	rst	20h	;restart instruction
	if	:0<0100h
	db	:0
	else
	dw	:0
	endif
	jp	c,:1	;jump to error routine
	endm
;
sys_callfp	macro	;floating point routine system call
	rst	18h	;restart
	db	:0
	endm
;
; ----------------------------------------------------------------------
;
;	Macro calls for video byte definition
;
; ----------------------------------------------------------------------
;
;	Character definitions
;
vid_char_bell	macro	;Define character bell
	db	1,33
	endm
vid_char_grave	macro	;Define character grave
	db	1,39
	endm
vid_char_square	macro	;Define character square
	db	1,42
	endm
vid_char_diamond	macro	;Define character diamond
	db	1,43
	endm
vid_char_shift	macro	;Define character shift
	db	1,45
	endm
vid_char_vbar	macro	;Define character vbar
	db	1,124
	endm
vid_char_space	macro	;Define character space
	db	1,224
	endm
vid_char_enter	macro	;Define character enter
	db	1,225
	endm
vid_char_tab	macro	;Define character tab
	db	1,226
	endm
vid_char_del	macro	;Define character del
	db	1,227
	endm
vid_char_esc	macro	;Define character esc
	db	1,228
	endm
vid_char_menu	macro	;Define character menu
	db	1,229
	endm
vid_char_index	macro	;Define character index
	db	1,230
	endm
vid_char_help	macro	;Define character help
	db	1,231
	endm
vid_char_oarrow_left	macro	;Define character oarrow_left
	db	1,240
	endm
vid_char_oarrow_right	macro	;Define character oarrow_right
	db	1,241
	endm
vid_char_oarrow_down	macro	;Define character oarrow_down
	db	1,242
	endm
vid_char_oarrow_up	macro	;Define character oarrow_up
	db	1,243
	endm
vid_char_barrow_left	macro	;Define character barrow_left
	db	1,244
	endm
vid_char_barrow_right	macro	;Define character barrow_right
	db	1,245
	endm
vid_char_barrow_down	macro	;Define character barrow_down
	db	1,246
	endm
vid_char_barrow_up	macro	;Define character barrow_up
	db	1,247
	endm
vid_char_parrow_left	macro	;Define character parrow_left
	db	1,248
	endm
vid_char_parrow_right	macro	;Define character parrow_right
	db	1,249
	endm
vid_char_parrow_down	macro	;Define character parrow_down
	db	1,250
	endm
vid_char_parrow_up	macro	;Define character parrow_up
	db	1,251
	endm
;
;	Screen display and formatting strings
;
vid_bold_toggle	macro	;Toggle video attribute bold
	db	1,'B'
	endm
vid_bold_on	macro	;Turn on video attribute bold
	db	1,'2+B'
	endm
vid_bold_off	macro	;Turn off video attribute bold
	db	1,'2-B'
	endm
;
vid_cursor_toggle	macro	;Toggle video attribute cursor
	db	1,'C'
	endm
vid_cursor_on	macro	;Turn on video attribute cursor
	db	1,'2+C'
	endm
vid_cursor_off	macro	;Turn off video attribute cursor
	db	1,'2-C'
	endm
;
vid_flashing_toggle	macro	;Toggle video attribute flashing
	db	1,'F'
	endm
vid_flashing_on	macro	;Turn on video attribute flashing
	db	1,'2+F'
	endm
vid_flashing_off	macro	;Turn off video attribute flashing
	db	1,'2-F'
	endm
;
vid_grey_toggle	macro	;Toggle video attribute grey
	db	1,'G'
	endm
vid_grey_on	macro	;Turn on video attribute grey
	db	1,'2+G'
	endm
vid_grey_off	macro	;Turn off video attribute grey
	db	1,'2-G'
	endm
;
vid_capslock_toggle	macro	;Toggle video attribute capslock
	db	1,'L'
	endm
vid_capslock_on	macro	;Turn on video attribute capslock
	db	1,'2+L'
	endm
vid_capslock_off	macro	;Turn off video attribute capslock
	db	1,'2-L'
	endm
;
vid_reverse_toggle	macro	;Toggle video attribute reverse
	db	1,'R'
	endm
vid_reverse_on	macro	;Turn on video attribute reverse
	db	1,'2+R'
	endm
vid_reverse_off	macro	;Turn off video attribute reverse
	db	1,'2-R'
	endm
;
vid_vscroll_toggle	macro	;Toggle video attribute vscroll
	db	1,'S'
	endm
vid_vscroll_on	macro	;Turn on video attribute vscroll
	db	1,'2+S'
	endm
vid_vscroll_off	macro	;Turn off video attribute vscroll
	db	1,'2-S'
	endm
;
vid_tiny_toggle	macro	;Toggle video attribute tiny
	db	1,'T'
	endm
vid_tiny_on	macro	;Turn on video attribute tiny
	db	1,'2+T'
	endm
vid_tiny_off	macro	;Turn off video attribute tiny
	db	1,'2-T'
	endm
;
vid_underline_toggle	macro	;Toggle video attribute underline
	db	1,'U'
	endm
vid_underline_on	macro	;Turn on video attribute underline
	db	1,'2+U'
	endm
vid_underline_off	macro	;Turn off video attribute underline
	db	1,'2-U'
	endm
;
vid_hscroll_toggle	macro	;Toggle video attribute hscroll
	db	1,'W'
	endm
vid_hscroll_on	macro	;Turn on video attribute hscroll
	db	1,'2+W'
	endm
vid_hscroll_off	macro	;Turn off video attribute hscroll
	db	1,'2-W'
	endm
;
;	Misc. Video Control
;
vid_just_normal	macro	;Turn on normal justification
	db	1,'2JN'
	endm
vid_just_center	macro	;Turn on centered text justification
	db	1,'2JC'
	endm
vid_just_left	macro	;Turn on left text justification
	db	1,'2JL'
	endm
vid_just_right	macro	;Turn on right text justification
	db	1,'2JR'
	endm
vid_margin_left	macro	;Set left margin to passed value
	db	1,'2L',32+:0
	endm
vid_margin_right	macro	;Set right margin to passed value
	db	1,'2R',32+:0
	endm
;
;	Cursor positioning control
;
vid_gotoxy	macro		;Go to x,y location
	db	1,'3@',32+:0,32+:1
	endm
vid_gotox	macro		;Go to x location
	db	1,'2X',32+:0
	endm
vid_gotoy	macro		;Go to y location
	db	1,'2Y',32+:0
	endm
;
;	Menu definition, call form is:
;
;	vid_menu	x,y,'X','string'
;
;	where:
;		x,y - cursor position
;		'X' - Key (bolded)
;		'string' - String to print
;
vid_menu	macro		;menu option
	db	1,'3@',32+:0,32+:1
	db	1,'B'
	db	':2'
	db	1,'B'
	db	') '
	db	':3'
	endm
;
;	Window Control
;
;	vid_win_sel_ic
;	vid_win_sel_i
;	vid_win_sel
;
vid_win_sel_ic	macro	;Select init and clear
	db	1,'2C',48+:0
	endm
vid_win_sel_i	macro	;Select and init
	db	1,'2I',48+:0
	endm
vid_win_sel	macro	;Select
	db	1,'2H',48+:0
	endm
;
;	vid_window	iwindow,x0,y0,dx,dy,style
;
;	Create window iwindow with indicated size
;
vid_win	macro
	db	1,'7#'
	db	48+:0,32+:1,32+:2,32+:3,32+:4,128+:5
	endm
;
;	vid_win_titled	iwindow,x0,y0,dx,dy,title
;
;	Create window iwindow with indicated size and title
;
vid_win_titled	macro
	db	1,'7#'	;create window
	db	48+:0,32+:1+1,32+:2,32+:3,32+:4,131
	db	1,'2I',48+:0	;select window
	db	1,'4+TUR'	;set font for title
	db	1,'2JC'	;center title
	db	1,'3@',32,32	;goto 0,0
	dcs	\:5\	;title text
	db	1,'3@',32,32	;goto 0,0
	db	1,'2A',32+:3	;invert title block
	db	1,'7#'	;create subwindow
	db	48+:0,32+:1+1,32+:2+1,32+:3,32+:4-1,129
	db	1,'2I',48+:0	;select window
	db	1,'3+CS'	;turn on scroll and cursor
	endm
;
;
;	vid_win_title_1	iwindow,x0,y0,dx,dy
;
;	Create window iwindow with indicated size and title,
;	part 1 of two, output this block, then output part 2.
;
vid_win_1	macro
	db	1,'7#'	;create window
	db	48+:0,32+:1+1,32+:2,32+:3,32+:4,131
	db	1,'2I',48+:0	;select window
	db	1,'4+TUR'	;set font for title
	db	1,'2JC'	;center title
	db	1,'3@',32,32	;goto 0,0
	endm
vid_win_2	macro
	db	1,'3@',32,32	;goto 0,0
	db	1,'2A',32+:3	;invert title block
	db	1,'7#'	;create subwindow
	db	48+:0,32+:1+1,32+:2+1,32+:3,32+:4-1,129
	db	1,'2I',48+:0	;select window
	db	1,'3+CS'	;turn on scroll and cursor
	endm
;
vid_win_grey	macro	;Grey the current window
	db	1,'2G+'
	endm
vid_win_nogrey	macro	;Ungrey the current window
	db	1,'2G-'
	endm
;
copyright_message	macro
	db	'Copyright 1990 R.Haw, PO Box 56,'
	db	'Champaign IL 61824-0056',10
	endm
publicdomain_message	macro
	db	'This program may be freely distributed'
	db	' in its original and unmodified form',10
	endm
;
; ==========================================================================
;
;	General purpose macros
;
; ==========================================================================
;
push3	macro		;push bc,de,hl
	push	bc
	push	de
	push	hl
	endm
pop3	macro		;pop bc,de,hl
	pop	hl
	pop	de
	pop	bc
	endm
pushall	macro		;push af,bc,de,hl
	push	af
	push	bc
	push	de
	push	hl
	endm
popall	macro		;pop af,bc,de,hl
	pop	hl
	pop	de
	pop	bc
	pop	af
	endm
;
; ==========================================================================
;
;	System call macros
;
; ==========================================================================
;
mapmem	macro		;do OS_MPB call with parameters
	ld	b,:0	;bank
	ld	c,:1	;segment
	rst	20h	;do the call
	defb	05dh
	push	bc	;save the old mapping
	endm
;
unmapmem	macro		;restore mappings
	pop	bc	;get old mapping back
	rst	20h	;do the call
	defb	05dh
	endm
;
epreadbyte	macro		;read a byte from EPROM
	push	hl	;save registers
	push	bc
	ld	hl,(:0)	;get FDB offset
	inc	hl	;next byte
	ld	a,h	;get high msb
	and	0ch	;check for overflow
	jr	z,:noremap
	ld	a,h	;get msb of offset
	and	03fh	;drop high
	ld	h,a	;and put back
	ld	a,(:0+2)	;get bank
	inc	a	;and adjust
	ld	(:0+2),a	;and save back
:remap
	ld	b,a	;save in b
	ld	c,03h	;set segment
	rst	20h	;do system call
	defb	05dh
	jr	:mapped
:noremap
	ld	a,(04d3h)	;get current mapping
	ld	b,a	;save in b
	ld	a,(:0+2)	;get bank
	cp	b	;check for current
	jr	nz,:remap	;map in if need be
:mapped
	ld	(:0),hl	;save current offset
	ld	a,h	;then adjust to segment 3
	or	0ch	;and load offset
	ld	h,a
	ld	a,(hl)
	pop	bc	;restore registers
	pop	hl
	endm
;
z88_name	macro	
	ld	hl,:laba	;set up for call
	sys_call	dc_nam	;set name
	jr	:labb
:laba
	dcs	\:0\
	db	0
:labb
	endm
;
pause	macro
:laba
	ld	a,sr_pwt	;call system pause
	sys_call	os_sr
	jr	c,:laba
	endm
;
clear_screen	macro
	ld	a,12	;formfeed
	rst	020h	;system call
	db	027H	;os_out
	endm
;
beep	macro
	ld	a,7	;formfeed
	rst	020h	;system call
	db	027H	;os_out
	endm
;
print	macro		;print
	ld	hl,:printdata	;set address
	sys_call	gn_sop	;print out the text
	jr	:printcont
:printdata	db	:0,0
:printcont
	endm
;
a_print	macro
q$aprint	.set	0ffh
	call	qaprint
	endm
;
a_to_hex	macro
q$atohex	.set	0ffh
	call	qatohex
	endm
;
a_to_lower	macro
q$atolower	.set	0ffh
	call	qatolower
	endm
;
hl_to_hex	macro
q$hltohex	.set	0ffh
	call	qhltohex
	endm
;
hl_to_hexdis	macro
q$hltohexdis	.set	0ffh
	call	qhltohexdis
	endm
;
hexmem_to_a	macro
q$hexmemtoa	.set	0ffh
	call	qhexmemtoa
	endm
;
strcmp	macro
	ifnc	':0',''
	ld	de,:0
	endif
	ifnc	':1',''
	ld	hl,:1
	endif
	ifnc	':2',''
q$strcpyn	.set	0ffh
	call	qstrcpyn
	else
q$strcpy	.set	0ffh
	call	qstrcpy
	endm
;
strcpy	macro
q$strcpy	.set	0ffh
	ifnc	':0',''
	ld	de,:0
	endif
	ifnc	':1',''
	ld	hl,:1
	endif
	call	qstrcpy
	endm
;
str_to_lower	macro
q$strtolower	.set	0ffh
	ifnc	':0',''
	ld	hl,:0
	endif
	call	qstrtolower
	endm
;
strlen	macro
q$strlen	.set	0ffh
	ifnc	':0',''
	ld	hl,:0
	endif
	call	qstrlen
	endm
;
fclose	macro
q$fclose	.set	0ffh
	ifnc	':0',''
	ld	hl,:0
	endif
	call	qfclose
	endm
;
wclose	macro
q$wclose	.set	0ffh
	ifnc	':0',''
	ld	hl,:0
	endif
	call	qwclose
	endm
;
reset_win	macro
	ld	hl,:+1	;set address of window definition
	sys_call	gn_sop	;output data to screen
	jr	:+2
:
	vid_win	1,0,0,94,8,0
	vid_win_sel_ic	1
	vid_vscroll_toggle
	vid_cursor_toggle
	db	0
:
	endm
;
gotoxy	macro
q$gotoxy	.set	0ffh
	ifnc	':0',''
	ld	b,:0
	endif
	ifnc	':1',''
	ld	c,:1
	endif
	call	qgotoxy
	endm
;
; ==========================================================================
;
;	Floating point support macros
;
; ==========================================================================
;
fpi_loadhl	macro
q$float	.set	0ffh
	ifnc	':0',''
	ld	hl,:0
	endif
	call	qfpiloadhl
	endm
;
fpi_loadde	macro
q$float	.set	0ffh
	ifnc	':0',''
	ld	de,:0
	endif
	call	qfpiloadde
	endm
;
fpi_store	macro
q$float	.set	0ffh
	ifnc	':0',''
	ld	de,:0
	endif
	call	qfpistore
	endm
;
fpi_move	macro
q$float	.set	0ffh
	ifnc	':0',''
	ld	de,:0
	endif
	ifnc	':1',''
	ld	hl,:1
	endif
	call	qfpimove
	endm
;
fpi_exchg	macro
q$float	.set	0ffh
	call	qfpiexchg
	endm
;
fpi_addi	macro
q$float	.set	0ffh
	ifnc	':0',''	;if address given
	ld	hl,:0	;set hl
	push	hl	;save a copy
	call	qfpiloadhl	;load into HLhlC
	endif
	ifnc	':1',''
	ld	de,:1
	endif
	call	qfpiaddi
	ifnc	':0',''	;save back at address
	pop	de	;get in DE
	call	qfpistore	;and save
	endif
	endm
;
fpi_subi	macro
q$float	.set	0ffh
	ifnc	':0',''	;if address given
	ld	hl,:0	;set hl
	push	hl	;save a copy
	call	qfpiloadhl	;load into HLhlC
	endif
	ifnc	':1',''
	ld	de,:1
	endif
	call	qfpisubi
	ifnc	':0',''	;save back at address
	pop	de	;get in DE
	call	qfpistore	;and save
	endif
	endm
;
fpi_inc	macro
q$float	.set	0ffh
	ifnc	':0',''	;if address given
	ld	hl,:0	;set hl
	push	hl	;save a copy
	call	qfpiloadhl	;load into HLhlC
	endif
	ld	de,0001h	;set for one
	call	qfpiaddi
	sys_callfp	fp_cmp	;do a compare
	ifnc	':0',''	;save back at address
	pop	de	;get in DE
	call	qfpistore	;and save
	endif
	endm
;
fpi_dec	macro
q$float	.set	0ffh
	ifnc	':0',''	;if address given
	ld	hl,:0	;set hl
	push	hl	;save a copy
	call	qfpiloadhl	;load into HLhlC
	endif
	ld	de,0001h	;set for one
	call	qfpisubi
	sys_callfp	fp_cmp	;do a compare
	ifnc	':0',''	;save back at address
	pop	de	;get in DE
	call	qfpistore	;and save
	endif
	endm
;
; ----------------------------------------------------------------------
;
;	EPROM Code Support Macros
;
; ----------------------------------------------------------------------
;
set_epseg_1	macro		;set to top segment (c000 add)
	seg	epseg_0	;set to dummy segment
	org	0002h	;set for mapping code
	db	EPROMSIZE	;eprom size
	db	03fh	;bank number
	dw	0c000h	;and offset
	seg	epseg_1
	endm
;
set_epseg_2	macro		;set to second segment (c000 add)
	seg	epseg_0	;set to dummy segment
	org	0002h	;set for mapping code
	db	EPROMSIZE	;eprom size
	db	03eh	;bank number
	dw	0c000h	;and offset
	seg	epseg_2
	endm
;
null_topic	macro		;pointer to null topic
	dw	null_topic_offset&3fffh
	db	null_topic_bank
	endm
;
topic	macro		;topic definition macro
:topicla	db	:topiclb-:topicla	;length
	db	:0	;name
	db	0	;terminator
	db	((:1)>>8)&0ffh	;help page (reverse byte order,
	db	(:1)&0ffh	;high byte first)
	db	:2	;attribute
	db	:topiclb-:topicla	;length
:topiclb
	endm
;
command	macro		;command definition macro
:commandla	db	:commandlb-:commandla	;length
	db	:0	;command code
	db	:1	;keyboard sequence for command
	db	0	;terminator
	db	:2	;command name
	db	0	;terminator
	db	((:3)>>8)&0ffh	;help page (reverse byte order,
	db	(:3)&0ffh	;high byte first)
	db	:4	;attribute
	db	:commandlb-:commandla	;length
:commandlb
	endm
	opt	lis
