	title	wildcards test program
;
; ==========================================================================
;
;	This is the test program for the system wildcard processing
;	routines, and simply examines what is going on.
;
; ==========================================================================
;
;
	include	'::Syslib:sysmac'
;
	basic_header	t
;
start
	ld	hl,msg1		;get file name
	sys_call	gn_sop
	ld	de,buf2
	ld	a,0
	ld	b,40h
	sys_call	gn_sip
	ld	a,(buf2)		;check for zero
	and	a
	ret	z
;
	ld	b,0
	ld	hl,buf2
	ld	de,buf1
	ld	c,080h
	sys_call	gn_fex
	jp	c,fexfail
	sys_call	gn_nln
	ld	hl,buf1		;output buffer
	sys_call	gn_sop
	sys_call	os_in
;
	ld	hl,buf1
	ld	b,0
	sys_call	gn_opw
	jr	c,opwfail		;wild open failed
	ld	(hand),ix
	sys_call	gn_nln
loop
	ld	c,80h
	ld	de,buf1
	sys_call	gn_wfn
	jr	c,wildend
	push	af
	ld	hl,buf1
	sys_call	gn_sop
	ld	a,'|'
	sys_call	os_out
	pop	af
	call	a_to_hexdis
	sys_call	gn_nln
	jr	loop
wildend
	cp	rc_eof
	jr	nz,wfnfail
	sys_call	gn_wcl
	jp	start
fexfail
opwfail
wfnfail
	sys_call	os_in
	ret
;
exit_cleanup
	ret
;
; ==========================================================================
;
;	Static Data Area
;
; ==========================================================================
;
msg1	db	'Wildcard : ',0
;
; ==========================================================================
;
;	Dynamic Data Area
;
; ==========================================================================
;
hand	dw	0		;handle
buf1	bsz	80h
buf2	bsz	80h
;
; ==========================================================================
;
;	Library source routines
;
; ==========================================================================
;
;	include	"::Syslib:stdlib.asm"
	include	"::Syslib:string.asm"
;	include	"::Syslib:debug.asm"
;
	end