;
; ==============================================================
;
;	Dynamic storage area
;
; ==============================================================
;
	IFDEF	BASIC
zcp_dstart	equ	$
	ENDIF
;
	IFDEF	ROM
zcp_dstart	equ	02100h
	ENDIF
;
zcp_stack	equ	zcp_dstart			;saved stack pointer
zcp_com_handle	equ	zcp_dstart+2	;com handle
zcp_file_handle	equ	zcp_com_handle+2	;file handle
zcp_wild_handle	equ	zcp_file_handle+2	;wildcard handle
zcp_macbinary_flag	equ	zcp_wild_handle+2	;macbinary flag
zcp_macbinary_auto	equ	zcp_macbinary_flag+1	;auto getfile flag
zcp_fblock_flag	equ	zcp_macbinary_auto+1	;first xmodem flag
zcp_xonxoff_status	equ	zcp_fblock_flag+1	;xon/xoff status
zcp_prompt_char	equ	zcp_xonxoff_status+1	;prompt character
zcp_counter		equ	zcp_prompt_char+1	;counter
zcp_block_check	equ	zcp_counter+2	;chksum
zcp_block_num	equ	zcp_block_check+1	;local block number
zcp_block_number	equ	zcp_block_num+1	;block number
zcp_block_errcnt	equ	zcp_block_number+1	;error count
;
zcps_stack		equ	zcp_block_errcnt+1	;script stack
zcps_fhandle	equ	zcps_stack+2	;script file handle
;
zcp_file_name	equ	zcps_fhandle+1	;file name for tran
zcp_scratch		equ	zcp_file_name+80h	;scratch space
zcp_buf_blkstrt	equ	zcp_scratch+1dh	;blocknumber prefix
zcp_buf	equ	zcp_scratch+020h		;scratch buffer
zcp_buf_chksum	equ	zcp_buf+080h	;block checksum suffix
zcp_buf1	equ	zcp_buf+80h			;scratch two
zcp_endofdata	equ	zcp_buf1+80h	;end of data