	title	Z88 Database Compiler
;
; ==========================================================================
;
;	This is the database compiler for the Z88
;
; ==========================================================================
;
zdc_entry
	ld	hl,0		;reset all data
	add	hl,sp		;get stack location
	ld	(zdc_stack),hl	;and save it
	ld	hl,zdc_pname	;set program name
	sys_call	dc_nam
	ld	hl,0		;zero out all handles
	ld	(zdc_source_handle),hl
	ld	(zdc_obj_handle),hl
;
;	Get file name and read in the source file
;
	ld	c,080h		;buffer length
	ld	de,zdc_buf		;buffer
	ld	hl,zdc_source_file_prompt
	call	get_file_name
	ld	c,080h		;buffer length
	ld	de,zdc_buf		;buffer
	ld	hl,zdc_obj_file_prompt
	call	get_file_name
	ret
;
; ==========================================================================
;
;	Support routines
;
; ==========================================================================
;
zdc_cleanup				;clean up things
	ld	hl,zdc_source_handle	;close out source and
	call	close_file		;object files if they
	ld	hl,zdc_obj_handle	;are open
	call	close_file
	ret
